Arch Truss/de: Difference between revisions

From FreeCAD Documentation
(Created page with "{{GuiCommand/de |Name=Arch Fence |Name/de=Architektur Tragwerk |Workbenches=Architektur |MenuLocation=Architektur → Zaun |Version=0.19 }}")
(Created page with "Das Architektur Fachwerkswerkzeug baut ein [https://de.wikipedia.org/wiki/Fachwerk Fachwerk]sobjekt auf, entweder aus einem ausgewählten linearen Objekt (z....")
Line 20: Line 20:
==Beschreibung==
==Beschreibung==


The [[Arch Truss]] tool builds a [https://en.wikipedia.org/wiki/Truss truss] object, either from a selected linear object (lie a [[Draft Line]] or [[Sketcher_NewSketch|Sketch]]), or from scratch, if no object is selected whn launching the command.
Das [[Arch_Truss/de|Architektur Fachwerk]]swerkzeug baut ein [https://de.wikipedia.org/wiki/Fachwerk Fachwerk]sobjekt auf, entweder aus einem ausgewählten linearen Objekt (z.B. [[Draft_Line/de|Entwurf Linie]] oder [[Sketcher_NewSketch/de|Skizze]]), oder von Grund auf neu, wenn beim Aufruf des Befehls kein Objekt ausgewählt ist.


[[Image:Arch Truss example.png|600px]]
[[Image:Arch Truss example.png|600px]]

Revision as of 13:33, 10 May 2021

Architektur Tragwerk

Menüeintrag
Architektur → Zaun
Arbeitsbereich
Architektur
Standardtastenkürzel
Keiner
Eingeführt in Version
0.19
Siehe auch
Keiner

Beschreibung

Das Architektur Fachwerkswerkzeug baut ein Fachwerksobjekt auf, entweder aus einem ausgewählten linearen Objekt (z.B. Entwurf Linie oder Skizze), oder von Grund auf neu, wenn beim Aufruf des Befehls kein Objekt ausgewählt ist.

Anwendung

Erzeugen aus einem ausgewählten Objekt

  1. Use a workbench of your choice to create a single line
  2. Select that line
  3. Press the Arch Truss button
  4. Adjust the truss properties to your liking


Erzeugen von Grundauf

  1. Make sure nothing is selected
  2. Press the Arch Truss button
  3. Click in the 3D view to define a first point, or manually enter X, Y and Z coordinates
  4. Click in the 3D view to define a second point, or manually enter X, Y and Z coordinates
  5. Adjust the truss properties to your liking

Eigenschaften

Daten

  • DatenTrussAngle: The angle of the truss
  • DatenSlantType: The slant type of this truss
  • DatenNormal: The normal direction of this truss
  • DatenHeightStart: The height of the truss at the start position
  • DatenHeightEnd: The height of the truss at the end position
  • DatenStrutStartOffset: An optional start offset for the top strut
  • DatenStrutEndOffset: An optional end offset for the top strut
  • DatenStrutHeight: The height of the main top and bottom elements of the truss
  • DatenStrutWidth: The width of the main top and bottom elements of the truss
  • DatenRodType: The type of the middle element of the truss
  • DatenRodDirection: The direction of the rods
  • DatenRodSize: The diameter or side of the rods
  • DatenRodSections: The number of rod sections
  • DatenRodEnd: If the truss has a rod at its endpoint or not
  • DatenRodMode: How to draw the rods

Skripten

The Truss tool can be used in macros and from the Python console by using the following function:

Truss = makeFence([baseobj])

Beispiel:

import FreeCAD
import Draft
import Arch

p1 = FreeCAD.Vector(0,0,0)
p2 = FreeCAD.Vector(2000,0,0)
baseline = Draft.makeLine(p1,p2)
truss = Arch.makeTruss(baseline)
truss.HeightStart = 200
truss.HeightEnd = 400
# adjust other needed properties